module Bideo
  class Video < Bideo::Client

    def transcode(format = "mp3")
      Dir.foreach(self.save_directory) do |item|
        next if item == '.' or item == '..'
        # do work on real items
        puts item

        movie = FFMPEG::Movie.new("#{self.save_directory}/#{item}")

        item_name = item.split(".")[0]
        movie.transcode("#{self.save_directory}/#{item_name}.#{format}")
      end

      self
    end
  end
end
